summaryrefslogtreecommitdiffstats
path: root/ham
diff options
context:
space:
mode:
author Tonus2023-10-07 04:10:31 +0200
committer Willy Sudiarto Raharjo2023-10-07 04:17:58 +0200
commit62f3b759850b173d4047a3a9c2405e9f8fd6f226 (patch)
treed2866e89b254d16a94b1288dc8a664b7cc6cd166 /ham
parent83932b135486d8de9ce113f97200d2fe69526071 (diff)
downloadslackbuilds-62f3b759850b173d4047a3a9c2405e9f8fd6f226.tar.gz
ham/qlog: Added (Amateur Radio Logbook).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'ham')
-rw-r--r--ham/qlog/README9
-rw-r--r--ham/qlog/doinst.sh9
-rw-r--r--ham/qlog/qlog.SlackBuild113
-rw-r--r--ham/qlog/qlog.info12
-rw-r--r--ham/qlog/slack-desc19
5 files changed, 162 insertions, 0 deletions
diff --git a/ham/qlog/README b/ham/qlog/README
new file mode 100644
index 0000000000..31ee69bac9
--- /dev/null
+++ b/ham/qlog/README
@@ -0,0 +1,9 @@
+QLog - Ham Radio Logbook
+
+QLog is an Amateur Radio logging application for Linux, Windows and Mac
+OS. It is based on the Qt framework and uses SQLite as database
+back-end.
+
+QLog aims to be as simple as possible, but to provide everything the
+operator expects from the log. This log is not currently focused on
+contests.
diff --git a/ham/qlog/doinst.sh b/ham/qlog/doinst.sh
new file mode 100644
index 0000000000..65c7e2eeb9
--- /dev/null
+++ b/ham/qlog/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/ham/qlog/qlog.SlackBuild b/ham/qlog/qlog.SlackBuild
new file mode 100644
index 0000000000..11fcace5af
--- /dev/null
+++ b/ham/qlog/qlog.SlackBuild
@@ -0,0 +1,113 @@
+#!/bin/bash
+# Slackbuild for qlog
+# Brian Cox <hamslackbuild@comcast.net>
+
+# Copyright 2023
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=qlog
+SRCNAM=QLog
+VERSION=${VERSION:-0.28.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "aarch64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+rm -rf $PRGNAM-$VERSION
+tar -xvf $CWD/$SRCNAM-$VERSION.tar.gz
+mv $SRCNAM-$VERSION $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION/res
+rmdir flags
+tar -xvf $CWD/$SRCNAM-Flags-$VERSION.tar.gz
+mv QLog-Flags-$VERSION/ flags/
+cd ..
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+qmake PREFIX="$PKG/usr" "$SRCNAM".pro
+make install
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS \
+ LICENSE \
+ CONTRIBUTING.md \
+ README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+find $PKG/usr/doc -name "Makefile" -exec rm {} \;
+find $PKG/usr/doc -type f -exec chmod 644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/ham/qlog/qlog.info b/ham/qlog/qlog.info
new file mode 100644
index 0000000000..c2a75537a9
--- /dev/null
+++ b/ham/qlog/qlog.info
@@ -0,0 +1,12 @@
+PRGNAM="qlog"
+VERSION="0.28.0"
+HOMEPAGE="https://github.com/foldynl/QLog"
+DOWNLOAD="https://github.com/foldynl/QLog/archive/refs/tags/v0.28.0/QLog-0.28.0.tar.gz \
+ https://github.com/foldynl/QLog-Flags/archive/refs/tags/v0.28.0/QLog-Flags-0.28.0.tar.gz"
+MD5SUM="daadcb1431391a9fed17eafa18239c89 \
+ b45c44204dfa73dee21a72d5e681d8ed"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="hamlib"
+MAINTAINER="Brian Cox"
+EMAIL="hamslackbuild@comcast.net"
diff --git a/ham/qlog/slack-desc b/ham/qlog/slack-desc
new file mode 100644
index 0000000000..f672d0cb32
--- /dev/null
+++ b/ham/qlog/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+qlog: qlog (Amateur radio logbook software)
+qlog:
+qlog: QLog is an Amateur Radio logging application for Linux, Windows and
+qlog: Mac OS. It is based on the Qt framework and uses SQLite as database
+qlog: backend.
+qlog:
+qlog:
+qlog: Homepage: https://github.com/foldynl/QLog
+qlog:
+qlog:
+qlog: